com.io7m.r2.core

## Class R2ViewRays

- java.lang.Object
- - com.io7m.r2.core.R2ViewRays

- All Implemented Interfaces:
    R2ViewRaysReadableType, R2ViewRaysType

      public final class R2ViewRays
      extends Object
      implements R2ViewRaysType

  The default implementation of the `R2ViewRaysType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2ViewRaysType` | `newViewRays(com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F c)` Construct a new set of view rays.
    `com.io7m.jtensors.VectorReadable4FType` | `originX0Y0()`
    `com.io7m.jtensors.VectorReadable4FType` | `originX0Y1()`
    `com.io7m.jtensors.VectorReadable4FType` | `originX1Y0()`
    `com.io7m.jtensors.VectorReadable4FType` | `originX1Y1()`
    `com.io7m.jtensors.VectorReadable4FType` | `rayX0Y0()`
    `com.io7m.jtensors.VectorReadable4FType` | `rayX0Y1()`
    `com.io7m.jtensors.VectorReadable4FType` | `rayX1Y0()`
    `com.io7m.jtensors.VectorReadable4FType` | `rayX1Y1()`
    `void` | `recalculate(com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F c, com.io7m.jtensors.parameterized.PMatrixReadable4x4FType<R2SpaceClipType,R2SpaceEyeType> m)` Recalculate the view rays given the inverse projection matrix `m`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newViewRays

          public static R2ViewRaysType newViewRays(com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F c)

      Construct a new set of view rays.
      Parameters:
        `c` - Preallocated storage for matrix operations
      Returns:
        A new set of view rays

    - #### recalculate

          public void recalculate(com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F c,
                                  com.io7m.jtensors.parameterized.PMatrixReadable4x4FType<R2SpaceClipType,R2SpaceEyeType> m)

      Description copied from interface: `R2ViewRaysType`
      Recalculate the view rays given the inverse projection matrix `m`.
      Specified by:
        `recalculate` in interface `R2ViewRaysType`
      Parameters:
        `c` - Preallocated storage for matrix operations
        `m` - An inverse projection matrix

    - #### originX0Y0

          public com.io7m.jtensors.VectorReadable4FType originX0Y0()

      Specified by:
        `originX0Y0` in interface `R2ViewRaysReadableType`
      Returns:
        The x0y0 origin

    - #### originX0Y1

          public com.io7m.jtensors.VectorReadable4FType originX0Y1()

      Specified by:
        `originX0Y1` in interface `R2ViewRaysReadableType`
      Returns:
        The x0y1 origin

    - #### originX1Y0

          public com.io7m.jtensors.VectorReadable4FType originX1Y0()

      Specified by:
        `originX1Y0` in interface `R2ViewRaysReadableType`
      Returns:
        The x1y0 origin

    - #### originX1Y1

          public com.io7m.jtensors.VectorReadable4FType originX1Y1()

      Specified by:
        `originX1Y1` in interface `R2ViewRaysReadableType`
      Returns:
        The x1y1 origin

    - #### rayX0Y0

          public com.io7m.jtensors.VectorReadable4FType rayX0Y0()

      Specified by:
        `rayX0Y0` in interface `R2ViewRaysReadableType`
      Returns:
        The x0y0 view ray

    - #### rayX0Y1

          public com.io7m.jtensors.VectorReadable4FType rayX0Y1()

      Specified by:
        `rayX0Y1` in interface `R2ViewRaysReadableType`
      Returns:
        The x0y1 view ray

    - #### rayX1Y0

          public com.io7m.jtensors.VectorReadable4FType rayX1Y0()

      Specified by:
        `rayX1Y0` in interface `R2ViewRaysReadableType`
      Returns:
        The x1y0 view ray

    - #### rayX1Y1

          public com.io7m.jtensors.VectorReadable4FType rayX1Y1()

      Specified by:
        `rayX1Y1` in interface `R2ViewRaysReadableType`
      Returns:
        The x1y1 view ray

Copyright © 2017 <code@io7m.com> http://io7m.com